# Consumer

Use Consumer endpoints to retrieve information on consumers such as record counts, details, and other relevant data.

## Get total record count of consumers

 - [POST /Consumer/doCount](https://developer.melissa.com/apis/data-retriever/consumer/docountconsumer.md): This endpoint gets the total record count returned using the required and optional properties passed in. This endpoint does not count against the package usage.

## Get a paginated result view of consumers

 - [POST /Consumer/doLookup](https://developer.melissa.com/apis/data-retriever/consumer/dolookupconsumer.md): This endpoint returns a paginated result view of the request. This can sometimes take awhile and should be used after DoCount has been used to filter down your dataset.

## Get record count and sample of consumers

 - [POST /Consumer/getCount](https://developer.melissa.com/apis/data-retriever/consumer/getcountconsumer.md): This endpoint allows API users to retrieve a count and 10 record sample of the results to preview before purchasing a file version of the full dataset.

